Uploaded image for project: 'Couchbase Java Client'
  1. Couchbase Java Client
  2. JCBC-1013

Make sub-document failures clear that server 4.5 is required

    XMLWordPrintable

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • None
    • 2.4.0
    • Core
    • None

    Description

      If the opcode for the Sub-Document operation is refused, the only reply is "FAILURE". This could be more user friendly.

      See https://forums.couchbase.com/t/error-in-java-client-while-trying-to-mutate-sub-document/10249

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        People

          subhashni Subhashni Balakrishnan (Inactive)
          ingenthr Matt Ingenthron
          Votes:
          0 Vote for this issue
          Watchers:
          2 Start watching this issue

          Dates

            Created:
            Updated:
            Resolved:

            Gerrit Reviews

              There are no open Gerrit changes

              PagerDuty